/*
** callbacks.h
** 
** Made by Arne Caspari
** Login   <arne@arne-laptop>
** 
** Started on  Wed Feb 21 18:18:50 2007 Arne Caspari
** Last update Wed Feb 21 18:35:52 2007 Arne Caspari
*/

#ifndef   	CALLBACKS_H_
# define   	CALLBACKS_H_

#include <glib.h>
#include <gtk/gtk.h>
#include <unicap.h>
#include <unicapgtk.h>
#include <ucil.h>

#include "ucview.h"
#include "image_effects.h"

gboolean display_motion_notify_cb( GtkWidget *widget, GdkEventMotion *event, new_frame_data_t *data );
gboolean display_button_press_event_cb( GtkWidget *widget, GdkEventButton *event, new_frame_data_t *data );
void fps_toggled_cb( GtkAction *action, new_frame_data_t *data );
void measure_toggled_cb( GtkAction *action, new_frame_data_t *data );
gint color_mag_window_timeout( color_mag_window_data_t *data );
void record_toggled_cb( GtkAction *action, new_frame_data_t *data );
void play_toggled_cb( GtkAction *action, new_frame_data_t *data );
void save_still_image_cb( GtkAction *action, new_frame_data_t *data );
void color_mag_toggled_cb( GtkAction *action, new_frame_data_t *data );
void pause_state_toggled_cb( GtkAction *action, new_frame_data_t *data );
void showhide_property_dialog( GtkToggleToolButton *toggle, GtkWidget *property_dialog );
gboolean property_dialog_hide( UnicapgtkPropertyDialog *property_dialog, GdkEvent *event, GtkToggleToolButton *toggle );
void display_property_dialog_cb( GtkAction *action, new_frame_data_t *data );
void display_settings_dialog_cb( GtkAction *action, new_frame_data_t *data );


#endif 	    /* !CALLBACKS_H_ */
